
aom_music.register_music({
    name = "Sumi - Fin",
    sound = "aom_music_fin",
    chance = 1, -- typical --> 1
    length = 105, -- total runtime in seconds
    can_play = function(player)
        return true
    end,
    get_soundspec = function(player) return {
        gain = 0.5,
    } end,
})
aom_music.register_music({
    name = "Sumi - Spark",
    sound = "aom_music_spark",
    chance = 1.5,
    length = 60*2 + 42,
    can_play = function(player)
        local pos = player:get_pos()
        if pos and pos.y < -500 then return true end
        return (math.random() < 0.5)
    end,
    get_soundspec = function(player) return {
        gain = 0.5,
    } end,
})
aom_music.register_music({
    name = "Sumi - Walden",
    sound = "aom_music_walden",
    chance = 1,
    length = 60 + 53,
    can_play = function(player)
        return true
    end,
    get_soundspec = function(player) return {
        gain = 0.5,
    } end,
})
aom_music.register_music({
    name = "Sumi - Hills",
    sound = "aom_music_hills",
    chance = 1,
    length = 62,
    can_play = function(player)
        return true
    end,
    get_soundspec = function(player) return {
        gain = 0.5,
    } end,
})